创建 personWebsite
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
在用户配置文件 中创建新的 personWebsite 对象。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 |
权限(从最低特权到最高特权) |
| 委派(工作或学校帐户) |
User.ReadWrite、User.ReadWrite.All |
| 委派(个人 Microsoft 帐户) |
User.ReadWrite、User.ReadWrite.All |
| 应用程序 |
User.ReadWrite.All |
HTTP 请求
POST /me/profile/websites
POST /users/{id | userPrincipalName}/profile/websites
| 名称 |
说明 |
| Authorization |
Bearer {token}。必需。 |
| Content-Type |
application/json. Required. |
请求正文
在请求正文中,提供 personWebsite 对象的 JSON 表示形式。
下表显示了在用户配置文件中的新 personWebsite 对象中可以设置 的属性。
| 属性 |
类型 |
Description |
| allowedAudiences |
String |
能够查看实体中包含的值的访问群体。 继承自 itemFacet。 可取值为:me、family、contacts、groupMembers、organization、federatedOrganizations、everyone、unknownFutureValue。 |
| categories |
String 集合 |
包含用户与网站关联的类别 (例如个人、食谱) 。 |
| 说明 |
String |
包含网站的说明。 |
| displayName |
String |
包含网站的友好名称。 |
| inference |
inferenceData |
如果实体是由创建或修改应用程序推断出来的,则包含推断详细信息。 继承自 itemFacet。 |
| source |
personDataSource |
如果从另一个服务同步,则值源自何处。 继承自 itemFacet。 |
| WebUrl |
String |
包含指向网站本身的链接。 |
响应
如果成功,此方法在 201, Created 响应正文中返回 响应代码和新 personWebsite 对象。
示例
请求
下面展示了示例请求。
POST https://graph.microsoft.com/beta/me/profile/websites
Content-type: application/json
{
"categories": [
"football"
],
"displayName": "Lyn Damer",
"webUrl": "www.lyndamer.no"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var personWebsite = new PersonWebsite
{
Categories = new List<String>()
{
"football"
},
DisplayName = "Lyn Damer",
WebUrl = "www.lyndamer.no"
};
await graphClient.Me.Profile.Websites
.Request()
.AddAsync(personWebsite);
const options = {
authProvider,
};
const client = Client.init(options);
const personWebsite = {
categories: [
'football'
],
displayName: 'Lyn Damer',
webUrl: 'www.lyndamer.no'
};
await client.api('/me/profile/websites')
.version('beta')
.post(personWebsite);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/me/profile/websites"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphPersonWebsite *personWebsite = [[MSGraphPersonWebsite alloc] init];
NSMutableArray *categoriesList = [[NSMutableArray alloc] init];
[categoriesList addObject: @"football"];
[personWebsite setCategories:categoriesList];
[personWebsite setDisplayName:@"Lyn Damer"];
[personWebsite setWebUrl:@"www.lyndamer.no"];
NSError *error;
NSData *personWebsiteData = [personWebsite getSerializedDataWithError:&error];
[urlRequest setHTTPBody:personWebsiteData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
PersonWebsite personWebsite = new PersonWebsite();
LinkedList<String> categoriesList = new LinkedList<String>();
categoriesList.add("football");
personWebsite.categories = categoriesList;
personWebsite.displayName = "Lyn Damer";
personWebsite.webUrl = "www.lyndamer.no";
graphClient.me().profile().websites()
.buildRequest()
.post(personWebsite);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewPersonWebsite()
requestBody.SetCategories( []String {
"football",
}
displayName := "Lyn Damer"
requestBody.SetDisplayName(&displayName)
webUrl := "www.lyndamer.no"
requestBody.SetWebUrl(&webUrl)
result, err := graphClient.Me().Profile().Websites().Post(requestBody)
Import-Module Microsoft.Graph.People
$params = @{
Categories = @(
"football"
)
DisplayName = "Lyn Damer"
WebUrl = "www.lyndamer.no"
}
# A UPN can also be used as -UserId.
New-MgUserProfileWebsite -UserId $userId -BodyParameter $params
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 201 Created
Content-type: application/json
{
"id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
"allowedAudiences": "organization",
"inference": null,
"createdDateTime": "2020-07-06T06:34:12.2294868Z",
"createdBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"categories": [
"football"
],
"description": null,
"displayName": "Lyn Damer",
"webUrl": "www.lyndamer.no"
}